Bug 838160 - (CVE-2012-3381) CVE-2012-3381 sblim-sfcb: insecure LD_LIBRARY_PATH usage
CVE-2012-3381 sblim-sfcb: insecure LD_LIBRARY_PATH usage
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120706,reported=2...
: Security
Depends On: 838162 838163 838164
Blocks: 838161
  Show dependency treegraph
 
Reported: 2012-07-06 17:38 EDT by Kurt Seifried
Modified: 2015-08-22 11:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:29:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-07-06 17:38:33 EDT
SuSE Bugzilla reports:

Marcus Meissner 2012-07-06 12:18:54 UTC

found by grep.

/etc/init.d/sfcb uses:

LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH

which is insecure if LD_LIBRARY_PATH is empty. It makes binaries use
libraries from the current directory, which is a problem if e.g. a
administrator
starts the sfcb service from a untrusted directory.

Also it uses it to set /usr/lib, a default path.

Just get rid of the whole if ... as it is useless.

https://bugzilla.novell.com/show_bug.cgi?id=770234
Comment 1 Kurt Seifried 2012-07-06 17:44:42 EDT
Created sblim-sfcb tracking bugs for this issue

Affects: epel-5 [bug 838162]
Affects: fedora-16 [bug 838163]
Affects: fedora-17 [bug 838164]
Comment 2 Vitezslav Crhonek 2012-07-09 06:01:41 EDT
(In reply to comment #1)
> Created sblim-sfcb tracking bugs for this issue
> 
> Affects: fedora-17 [bug 838164]

Fedora 17 is not affected, SysV init script has been removed in sblim-sfcb-1.3.14-2.
Comment 6 Vincent Danen 2015-08-22 11:28:52 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.